# -*- coding: utf-8 -*-
# Generated by Django 1.10.3 on 2016-11-03 16:22
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('misfitapp', '0004_increase_devicetype_maxlength'),
    ]

    operations = [
        migrations.AlterField(
            model_name='device',
            name='battery_level',
            field=models.SmallIntegerField(help_text=b'Percentage battery remaining'),
        ),
        migrations.AlterField(
            model_name='device',
            name='device_type',
            field=models.CharField(help_text=b'The device type as a human readable string', max_length=64),
        ),
        migrations.AlterField(
            model_name='device',
            name='firmware_version',
            field=models.CharField(help_text=b"The version of the device's firmware", max_length=100),
        ),
        migrations.AlterField(
            model_name='device',
            name='id',
            field=models.CharField(help_text=b'The device ID assigned by Misfit', max_length=24, primary_key=True, serialize=False),
        ),
        migrations.AlterField(
            model_name='device',
            name='last_sync_time',
            field=models.DateTimeField(blank=True, help_text=b'Datetime the device was last synced', null=True),
        ),
        migrations.AlterField(
            model_name='device',
            name='serial_number',
            field=models.CharField(help_text=b"The device's serial number", max_length=100),
        ),
        migrations.AlterField(
            model_name='device',
            name='user',
            field=models.ForeignKey(help_text=b"The device's user", on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AlterField(
            model_name='goal',
            name='date',
            field=models.DateField(help_text=b'Date of the goal'),
        ),
        migrations.AlterField(
            model_name='goal',
            name='id',
            field=models.CharField(help_text=b'The goal ID assigned by Misfit', max_length=24, primary_key=True, serialize=False),
        ),
        migrations.AlterField(
            model_name='goal',
            name='points',
            field=models.FloatField(help_text=b'Progress points that the user achieved that day'),
        ),
        migrations.AlterField(
            model_name='goal',
            name='target_points',
            field=models.IntegerField(help_text=b'Target points for that day'),
        ),
        migrations.AlterField(
            model_name='goal',
            name='time_zone_offset',
            field=models.SmallIntegerField(default=0, help_text=b'Timezone offset from UTC'),
        ),
        migrations.AlterField(
            model_name='goal',
            name='user',
            field=models.ForeignKey(help_text=b"The goal's user", on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AlterField(
            model_name='misfituser',
            name='access_token',
            field=models.TextField(help_text=b'The OAuth access token'),
        ),
        migrations.AlterField(
            model_name='misfituser',
            name='last_update',
            field=models.DateTimeField(blank=True, help_text=b'The datetime when the misfit user was last updated (deprecated)', null=True),
        ),
        migrations.AlterField(
            model_name='misfituser',
            name='misfit_user_id',
            field=models.CharField(help_text=b'The Misfit user ID', max_length=24, primary_key=True, serialize=False),
        ),
        migrations.AlterField(
            model_name='misfituser',
            name='user',
            field=models.ForeignKey(help_text=b'The user', on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AlterField(
            model_name='profile',
            name='avatar',
            field=models.URLField(blank=True, help_text=b"URL to the profile's avatar", null=True),
        ),
        migrations.AlterField(
            model_name='profile',
            name='birthday',
            field=models.DateField(help_text=b"The user's birth date"),
        ),
        migrations.AlterField(
            model_name='profile',
            name='email',
            field=models.EmailField(blank=True, help_text=b'Email address', max_length=254, null=True),
        ),
        migrations.AlterField(
            model_name='profile',
            name='gender',
            field=models.CharField(choices=[(b'male', b'male'), (b'female', b'female')], help_text=b"The user's gender, one of: male, female", max_length=6),
        ),
        migrations.AlterField(
            model_name='profile',
            name='name',
            field=models.TextField(blank=True, help_text=b'The name on the profile', null=True),
        ),
        migrations.AlterField(
            model_name='profile',
            name='user',
            field=models.ForeignKey(help_text=b"The profile's user", on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, unique=True),
        ),
        migrations.AlterField(
            model_name='session',
            name='activity_type',
            field=models.CharField(choices=[(b'cycling', b'cycling'), (b'swimming', b'swimming'), (b'walking', b'walking'), (b'tennis', b'tennis'), (b'basketball', b'basketball'), (b'soccer', b'soccer')], help_text=b"The session's activity type, one of: cycling, swimming, walking, tennis, basketball, soccer", max_length=15),
        ),
        migrations.AlterField(
            model_name='session',
            name='calories',
            field=models.FloatField(help_text=b'Total calories user burned for the activity', null=True),
        ),
        migrations.AlterField(
            model_name='session',
            name='distance',
            field=models.FloatField(help_text=b'Total distance user covered for the activity, in miles', null=True),
        ),
        migrations.AlterField(
            model_name='session',
            name='duration',
            field=models.IntegerField(help_text=b'Length of the activity, in seconds'),
        ),
        migrations.AlterField(
            model_name='session',
            name='id',
            field=models.CharField(help_text=b'Session ID assigned by Misfit', max_length=24, primary_key=True, serialize=False),
        ),
        migrations.AlterField(
            model_name='session',
            name='points',
            field=models.FloatField(help_text=b'Total points user gained for the activity', null=True),
        ),
        migrations.AlterField(
            model_name='session',
            name='start_time',
            field=models.DateTimeField(help_text=b'Datetime the session started'),
        ),
        migrations.AlterField(
            model_name='session',
            name='steps',
            field=models.IntegerField(help_text=b'Total steps user took for the activity', null=True),
        ),
        migrations.AlterField(
            model_name='session',
            name='user',
            field=models.ForeignKey(help_text=b"The session's user", on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AlterField(
            model_name='sleep',
            name='auto_detected',
            field=models.BooleanField(default=True, help_text=b'Was the sleep session auto-detected?'),
        ),
        migrations.AlterField(
            model_name='sleep',
            name='duration',
            field=models.IntegerField(help_text=b'Duration of the sleep session, in seconds'),
        ),
        migrations.AlterField(
            model_name='sleep',
            name='id',
            field=models.CharField(help_text=b'The sleep ID assigned by Misfit', max_length=24, primary_key=True, serialize=False),
        ),
        migrations.AlterField(
            model_name='sleep',
            name='start_time',
            field=models.DateTimeField(help_text=b'Datetime the sleep session started'),
        ),
        migrations.AlterField(
            model_name='sleep',
            name='user',
            field=models.ForeignKey(help_text=b"The sleep session's user", on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AlterField(
            model_name='sleepsegment',
            name='sleep',
            field=models.ForeignKey(help_text=b"The segment's sleep session", on_delete=django.db.models.deletion.CASCADE, to='misfitapp.Sleep'),
        ),
        migrations.AlterField(
            model_name='sleepsegment',
            name='sleep_type',
            field=models.SmallIntegerField(choices=[(1, b'awake'), (2, b'sleep'), (3, b'deep sleep')], help_text=b"The sleep segment's type, one of: 1(awake), 2(sleep), 3(deep sleep)"),
        ),
        migrations.AlterField(
            model_name='sleepsegment',
            name='time',
            field=models.DateTimeField(help_text=b'The datetime of the segment'),
        ),
        migrations.AlterField(
            model_name='summary',
            name='activity_calories',
            field=models.FloatField(help_text=b'Activity calories for the day'),
        ),
        migrations.AlterField(
            model_name='summary',
            name='calories',
            field=models.FloatField(help_text=b'Calories for the day'),
        ),
        migrations.AlterField(
            model_name='summary',
            name='date',
            field=models.DateField(help_text=b'The date of the summary'),
        ),
        migrations.AlterField(
            model_name='summary',
            name='distance',
            field=models.FloatField(help_text=b'Distance traveled during the day, in miles'),
        ),
        migrations.AlterField(
            model_name='summary',
            name='points',
            field=models.FloatField(help_text=b'Points for the day'),
        ),
        migrations.AlterField(
            model_name='summary',
            name='steps',
            field=models.IntegerField(help_text=b'Steps for the day'),
        ),
        migrations.AlterField(
            model_name='summary',
            name='user',
            field=models.ForeignKey(help_text=b"The summary's user", on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
    ]
